Skip to main content
`Ctrl`+`K`

# scipy.special.eval_sh_legendre

scipy.special.eval_sh_legendre(n, x, out=None) = <ufunc 'eval_sh_legendre'>

  Evaluate shifted Legendre polynomial at a point.

  These polynomials are defined as

  \[P_n^*(x) = P_n(2x - 1)\]

  where \(P_n\) is a Legendre polynomial. See 2.2.11 in [AS] for details.

  Parameters:
    n array_like

      Degree of the polynomial. If not an integer, the value is determined via the relation to `eval_legendre`.

    x array_like

      Points at which to evaluate the shifted Legendre polynomial

    out ndarray, optional

      Optional output array for the function values

  Returns:
    P scalar or ndarray

      Values of the shifted Legendre polynomial

  See also

  `roots_sh_legendre`

    roots and quadrature weights of shifted Legendre polynomials

  `sh_legendre`

    shifted Legendre polynomial object

  `eval_legendre`

    evaluate Legendre polynomials

  `numpy.polynomial.legendre.Legendre`

    Legendre series

  References

  [AS]

  Milton Abramowitz and Irene A. Stegun, eds. Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables. New York: Dover, 1972.